[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFC: some new deb package flag: "upgrade-conflicts"

> If a user can speciify "do not upgrade my dotfiles" or something in their
> homedir, then okay, otherwise doing the upgrades is more dangerous than
> letting the user resolve them themselves as and when they hit the problems.

I thought more of having the user himself select "update my account",
and the user-postinst/postrm scripts run only then.
No automatic runs (annoys if you want to purge a package and then
reinstall; you might want to keep the user config files then...).


Reply to: